Debian Bug report logs - #526115
please provide fstab support

version graph

Package: fuse; Maintainer for fuse is Daniel Baumann <mail@daniel-baumann.ch>; Source for fuse is src:fuse.

Reported by: Lars <lars@systemausfall.org>

Date: Wed, 29 Apr 2009 11:33:04 UTC

Severity: wishlist

Merged with 352467, 555541

Fixed in version 2.9.2-4

Done: Daniel Baumann <daniel.baumann@progress-technologies.net>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Bartosz Fenski <fenio@debian.org>:
Bug#526115; Package fuse-utils. (Wed, 29 Apr 2009 11:33:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Lars <lars@systemausfall.org>:
New Bug report received and forwarded. Copy sent to Bartosz Fenski <fenio@debian.org>. (Wed, 29 Apr 2009 11:33:06 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Lars <lars@systemausfall.org>
To: submit@bugs.debian.org
Subject: [fuse-utils] fuse entries in fstab are not mounted automatically
Date: Wed, 29 Apr 2009 13:26:52 +0200
[Message part 1 (text/plain, inline)]
Package: fuse-utils
Version: 2.7.4-1.1
Severity: normal

--- Please enter the report below this line. ---

Hi,

after adding an entry for a filesystem (sshfs) to /etc/fstab, I expected it to
be mounted automatically during bootup.
But this does not seem to happen.

Maybe one of the following ways could solve the problem:
1) add "mount -a -t fuse" to the /etc/init.d/fuse init-script. Additionally
this would require a init-script dependency on "networking", I guess.

2) add the "fuse" filesystem type to the list of automatically mounted
filesystems in /etc/init.d/mountall.sh

The first approach would be quite consistent with the current "fuse"
init-script, since it already umounts all fuse mounted filesystems during
"stop".

I am aware, that "fuse" is supposed to be a userspace program. But I think, it
is also useful for system-wide access to remote filesystems (at least for me).

thanks for your time,
Lars

--- System information. ---
Architecture: i386
Kernel:       Linux 2.6.29-1-686

Debian Release: squeeze/sid
  500 unstable        www.claws-mail.org 
  500 unstable        localhost 

--- Package information. ---
Depends           (Version) | Installed
===========================-+-===============
libc6            (>= 2.7-1) | 2.9-8
libfuse2      (= 2.7.4-1.1) | 2.7.4-1.1
sed                  (>= 4) | 4.1.5-8
adduser                     | 3.110
makedev      (>= 2.3.1-80)  | 2.3.1-88
 OR udev                    | 0.141-1


Package's Recommends field is empty.

Package's Suggests field is empty.






-- 

Privatsphaere gibt's hier:
gpg --keyserver subkeys.pgp.net --search-keys EA10AF8B
Was soll das? -> https://systemausfall.org/wikis/hilfe/GnuPG
[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Bartosz Fenski <fenio@debian.org>:
Bug#526115; Package fuse-utils. (Tue, 26 Oct 2010 19:42:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Alexander Clouter <alex@digriz.org.uk>:
Extra info received and forwarded to list. Copy sent to Bartosz Fenski <fenio@debian.org>. (Tue, 26 Oct 2010 19:42:06 GMT) Full text and rfc822 format available.

Message #10 received at 526115@bugs.debian.org (full text, mbox):

From: Alexander Clouter <alex@digriz.org.uk>
To: 526115@bugs.debian.org
Subject: Re: [fuse-utils] fuse entries in fstab are not mounted automatically
Date: Tue, 26 Oct 2010 20:30:54 +0100
Hi,

I also would find this *very* useful; I have opted for the 'mount -a -t 
fuse' in /etc/init.d/fuse as a workaround and find it works well for me.

I'm not using sshfs, however I have just finished off a Perl program so 
that SSH keys can be put into LDAP (handy when you have lots of UNIX 
boxes).  The alternative would be to patch openssh-server to be 'LDAP 
aware', this Fuse based approach simply requires AuthorizedKeysFile to 
be amended in /etc/ssh/sshd_config.  Someone else has also written a 
very similar Fuse LDAP+SSH implementation but in python.

It would be handy to be able to automount Fuse filesystems at boot so 
please consider enabling this functionality.

Cheers

-- 
Alexander Clouter
.sigmonster says: Be different: conform.




Changed Bug title to 'please provide fstab support' from '[fuse-utils] fuse entries in fstab are not mounted automatically' Request was from Daniel Baumann <daniel.baumann@progress-technologies.net> to control@bugs.debian.org. (Tue, 05 Jul 2011 20:21:04 GMT) Full text and rfc822 format available.

Severity set to 'wishlist' from 'normal' Request was from Daniel Baumann <daniel.baumann@progress-technologies.net> to control@bugs.debian.org. (Tue, 05 Jul 2011 20:21:04 GMT) Full text and rfc822 format available.

Bug reassigned from package 'fuse-utils' to 'fuse'. Request was from Daniel Baumann <daniel.baumann@progress-technologies.net> to control@bugs.debian.org. (Tue, 05 Jul 2011 21:27:03 GMT) Full text and rfc822 format available.

Bug No longer marked as found in versions fuse/2.7.4-1.1. Request was from Daniel Baumann <daniel.baumann@progress-technologies.net> to control@bugs.debian.org. (Tue, 05 Jul 2011 21:27:04 GMT) Full text and rfc822 format available.

Forcibly Merged 352467 526115 555541. Request was from Daniel Baumann <daniel.baumann@progress-technologies.net> to control@bugs.debian.org. (Tue, 05 Jul 2011 21:27:05 GMT) Full text and rfc822 format available.

Message #21 received at 352467-done@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel.baumann@progress-technologies.net>
To: 352467-done@bugs.debian.org
Subject: Re: please provide fstab support
Date: Thu, 23 May 2013 11:22:37 +0200
Version: 2.9.2-4

works for me with above version, closing.

-- 
Address:        Daniel Baumann, Donnerbuehlweg 3, CH-3012 Bern
Email:          daniel.baumann@progress-technologies.net
Internet:       http://people.progress-technologies.net/~daniel.baumann/



Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 21 Jun 2013 07:27:53 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 09:15:56 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.